/* -------------------- */
/* ADAPTATION BOOTSTRAP */
/* -------------------- */
:root {
    --bs-blue: #000091;
    --bs-blue-dark: #000074;
    --bs-indigo: #7F7FC8;
    --bs-purple: #7D4E5B;
    --bs-purple-dark: #562f3A;
    --bs-pink: #FF8D7E;
    --bs-red: #E10600;
    --bs-orange: #FF9940;
    --bs-orange-dark: #D96500;
    --bs-yellow: #FFE800;
    --bs-green: #008941;
    --bs-teal: #00AC8C;
    --bs-teal-dark: #127260;
    --bs-cyan: #0762C8;
    --bs-cyan-light: #3787E1;
    --bs-brown: #5e3f32;
    --bs-light-gray: #a8a8a8;
    --bs-gray: #6A6A6A;
    --bs-gray-dark: #383838;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: var(--bs-blue);
    --bs-secondary: var(--bs-gray);
    --bs-success: var(--bs-green);
    --bs-info: var(--bs-cyan);
    --bs-warning: var(--bs-yellow);
    --bs-danger: var(--bs-red);
    --bs-light: #F8F8F8;
    --bs-dark: #1E1E1E;
    --bs-primary-rgb: 0, 0, 45;
    --bs-secondary-rgb: 106, 106, 106;
    --bs-success-rgb: 0, 137, 65;
    --bs-info-rgb: 7, 98, 200;
    --bs-warning-rgb: 255, 232, 0;
    --bs-danger-rgb: 255, 6, 0;
    --bs-light-rgb: 232, 232, 232;
    --bs-dark-rgb: 30, 30, 30;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-rgb: 30, 30, 30;
    --bs-font-sans-serif: "Marianne", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    /*  --bs-body-color: #1E1E1E;
        --bs-body-bg: #F9F8F6;*/
    --bs-mark: #FFC29E;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-2xl: 2rem;
    --bs-border-radius-pill: 50rem;
    --bs-link-color: var(--bs-primary);
    --bs-link-hover-color: #0a58ca;
    --bs-highlight-bg: #FFC29E;
    --bs-link-color-rgb: 0, 0, 129;
}

.card {
    --bs-card-bg: var(--bs-gray-100);
}

/* ------- */
/* GENERAL */
/* ------- */
body /* Espace sinon le titre est caché par la barre de navigation */
{
    font-family: var(--bs-font-sans-serif);
    padding-top: 4.5rem;
}

h1 {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

h3 {
    margin-top: 1rem;
}

main /* Espace sinon le bas de page est caché */
{
    margin-bottom: 6rem;
}

a:hover {
    text-decoration-color: var(--bs-red);
    text-decoration-thickness: 0.2em;
}

#contenuPage {
    display: none;
}

#temp {
    text-align: center;
    top: 40%;
    width: 100%;
    position: absolute;
    z-index: 10;
}

#temp > .alert {
    position: fixed;
    top: 20%;
    width: 100%;
}

.offcanevas_temp {
    text-align: center;
    top: 35%;
    width: 100%;
    position: absolute;
    z-index: 10;
}

h2 {
    margin-top: 2rem;
}

p, li:not(.niveau-liste) {
    text-align: justify;
    text-justify: inter-word;
}

.sousTitre {
    font-size: smaller;
    font-style: italic;
}

.footer {
    background-color: var(--bs-gray-300) !important;
    margin-top: 2em !important;
    position: fixed;
    bottom: 0;
    width: 100%;
}

/* ----------------- */
/* BLOCS DE CITATION */
/* ----------------- */
.contenuArticle /* Marianne, fond gris, bordure, espace avant le suivant */
{
    font-weight: 200;
    font-size: 1.1rem;
    font-style: italic;
    padding: 1rem;
    line-height: 1.45;
    position: relative;
    color: black;
    border-radius: 1rem;
    border: 3px solid var(--bs-gray-300);
}

.blockquote {
    font-weight: 100;
    font-size: 1.1rem;
    font-style: italic;
    margin: 0.25em 0 3.5em 0;
    padding: 0.35em 40px;
    line-height: 1.45;
    position: relative;
    color: var(--bs-dark);
    border-radius: 0.25rem;
    background-color: var(--bs-gray-200);
    border: 1px solid var(--bs-gray-400);
}

.blockquote:before /* Grands guillemets avant le bloc */
{
    display: block;
    padding-left: 10px;
    content: "\00AB";
    font-size: 60px;
    position: absolute;
    left: -10px;
    top: -30px;
    color: var(--bs-gray-dark);
}

.blockquote:after /* Grands guillemets après le bloc */
{
    display: block;
    padding-right: 10px;
    content: "\00BB";
    font-size: 60px;
    position: absolute;
    right: -10px;
    bottom: -17px;
    color: var(--bs-gray-dark);
}

.blockquote > p, .contenuArticle > p /* Espacement 1/2 ligne */
{
    margin-bottom: 0.5rem;
    white-space: pre-wrap;
}

.blockquote > p:last-of-type, .contenuArticle > p:last-of-type, .alert > p:last-of-type /* Sauf le dernier d'une série -> pas de saut d'espacement */
{
    margin-bottom: 0;
}

.alert > p {
    text-align: unset !important;
}

.contenuArticle > p {
    text-indent: 1.5em;
}

.badge-ad-glob {
    text-decoration: none;
    color: white;
    font-weight: 400;
}

.badge-ad-glob:hover {
    color: white;
}

.badgeType {
    font-size: 0.8rem;
    width: auto;
    margin-left: 25px;
    z-index: 10;
    bottom: -0.7rem;
    position: relative;
}

.modal-header {
    padding: 0.6rem;
}

/* ------------------------------ */
/* REFERENCES SOUS UN TEXTE/IMAGE */
/* ------------------------------ */
cite /* Gris, aligné à droite */
{
    color: var(--bs-gray-500);
    display: block;
    margin-top: 5px;
    font-style: normal;
}

cite:before /* Ajoute un tiret avant les références */
{
    content: "\2014 \2009";
}

/* ------------------------ */
/* CITATIONS EN PLEIN TEXTE */
/* ------------------------ */
.quote:before /* Guillemets gauches */
{
    display: inline;
    content: "\00AB \00A0";
}

.quote:after /* Guillemets droits */
{
    display: inline;
    content: "\00A0 \00BB";
}

/* ---------- */
/* BLOC IMAGE */
/* ---------- */
figure /* Bloc -> toute la largeur */
{
    width: 100%;
}

figure > img /* Image centrée, avec bordure */
{
    margin: 0 auto;
    display: block;
    border-radius: 0.5rem;
    border: 1px solid var(--bs-gray-400);
    max-width: 90%;
}

/* ---------------------------------- */
/* TEXTE DES ARTICLES DANS LES MODALS */
/* ---------------------------------- */

.texte-article > p {
    font-weight: normal;
    font-size: 1.2rem;
    line-height: 1.45;
    color: black;
}

.texte-article > p:last-of-type {
    margin-bottom: 0;
}

[class^="fa-"], .pasSouligne {
    text-decoration: none;
}

/* --------------- */
/* BADGES DE TEXTE */
/* --------------- */
.badge-texte /* Enlève le gras lorsque les badges sont dans le texte */
{
    font-weight: normal;
}

.badge-articles /* Articles affichés dans le plan du code */
{
    font-weight: 500;
    text-decoration: none;
    margin-right: 0.25em;
    margin-left: 0.25em;
    margin-bottom: 0.2em;
    border: 1px solid var(--bs-gray-400);
    box-shadow: var(--bs-dark) 1px 1px;
}

.art-Metro {
    background-color: var(--bs-white);
    color: var(--bs-dark);
}

.art-Metro:hover {
    color: var(--bs-dark) !important;
}

.art-Metro.notVigueur {
    background: linear-gradient(135deg, var(--bs-gray-400) 6.25%, var(--bs-white) 6.25%, var(--bs-white) 43.75%, var(--bs-gray-400) 43.75%, var(--bs-gray-400) 56.25%, var(--bs-white) 56.25%, var(--bs-white) 93.75%, var(--bs-gray-400) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Pays {
    background-color: #fff7c8;
    color: var(--bs-dark);
}

.art-Pays:hover {
    color: var(--bs-dark) !important;
}

.art-Pays.notVigueur {
    background: linear-gradient(135deg, #fff7c8 6.25%, #ffd902 6.25%, #ffd902 43.75%, #fff7c8 43.75%, #fff7c8 56.25%, #ffd902 56.25%, #ffd902 93.75%, #fff7c8 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Adapt {
    background-color: var(--bs-purple);
}

.art-LO {
    background-color: var(--bs-orange-dark);
}

.art-LO.notVigueur {
    background: linear-gradient(135deg, var(--bs-gray-600) 6.25%, var(--bs-orange-dark) 6.25%, var(--bs-orange-dark) 43.75%, var(--bs-gray-600) 43.75%, var(--bs-gray-600) 56.25%, var(--bs-orange-dark) 56.25%, var(--bs-orange-dark) 93.75%, var(--bs-gray-600) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Adapt.notVigueur {
    background: linear-gradient(135deg, var(--bs-purple-dark) 6.25%, var(--bs-purple) 6.25%, var(--bs-purple) 43.75%, var(--bs-purple-dark) 43.75%, var(--bs-purple-dark) 56.25%, var(--bs-purple) 56.25%, var(--bs-purple) 93.75%, var(--bs-purple-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-PleinDroit {
    background-color: var(--bs-gray);
}

.art-PleinDroit.notVigueur {
    background: linear-gradient(135deg, var(--bs-gray-dark) 6.25%, var(--bs-gray) 6.25%, var(--bs-gray) 43.75%, var(--bs-gray-dark) 43.75%, var(--bs-gray-dark) 56.25%, var(--bs-gray) 56.25%, var(--bs-gray) 93.75%, var(--bs-gray-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Propre {
    background-color: var(--bs-orange);
}

.art-Propre.notVigueur {
    background: linear-gradient(135deg, var(--bs-orange-dark) 6.25%, var(--bs-orange) 6.25%, var(--bs-orange) 43.75%, var(--bs-orange-dark) 43.75%, var(--bs-orange-dark) 56.25%, var(--bs-orange) 56.25%, var(--bs-orange) 93.75%, var(--bs-orange-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Constit, .art-HC {
    background-color: var(--bs-red);
}

.art-Constit.notVigueur, .art-HC.notVigueur {
    background: linear-gradient(135deg, var(--bs-purple-dark) 6.25%, var(--bs-red) 6.25%, var(--bs-red) 43.75%, var(--bs-purple-dark) 43.75%, var(--bs-purple-dark) 56.25%, var(--bs-red) 56.25%, var(--bs-red) 93.75%, var(--bs-purple-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-DecretCE {
    background-color: var(--bs-pink);
}

.art-DecretCE.notVigueur {
    background: linear-gradient(135deg, var(--bs-light-gray) 6.25%, var(--bs-pink) 6.25%, var(--bs-pink) 43.75%, var(--bs-light-gray) 43.75%, var(--bs-light-gray) 56.25%, var(--bs-pink) 56.25%, var(--bs-pink) 93.75%, var(--bs-light-gray) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-DecretCM {
    background-color: var(--bs-purple);
}

.art-DecretCM.notVigueur {
    background: linear-gradient(135deg, var(--bs-purple-dark) 6.25%, var(--bs-purple) 6.25%, var(--bs-purple) 43.75%, var(--bs-purple-dark) 43.75%, var(--bs-purple-dark) 56.25%, var(--bs-purple) 56.25%, var(--bs-purple) 93.75%, var(--bs-purple-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-DecretCECM {
    background-color: var(--bs-purple-dark);
}

.art-DecretCECM.notVigueur {
    background: linear-gradient(135deg, var(--bs-gray-600) 6.25%, var(--bs-purple-dark) 6.25%, var(--bs-purple-dark) 43.75%, var(--bs-gray-600) 43.75%, var(--bs-gray-600) 56.25%, var(--bs-purple-dark) 56.25%, var(--bs-purple-dark) 93.75%, var(--bs-gray-600) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Decret {
    background-color: var(--bs-indigo);
}

.art-Decret.notVigueur {
    background: linear-gradient(135deg, var(--bs-gray) 6.25%, var(--bs-indigo) 6.25%, var(--bs-indigo) 43.75%, var(--bs-gray) 43.75%, var(--bs-gray) 56.25%, var(--bs-indigo) 56.25%, var(--bs-indigo) 93.75%, var(--bs-gray) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Ext, .art-ArreteMin {
    background-color: var(--bs-teal);
}

.art-Ext.notVigueur, .art-ArreteMin.notVigueur {
    background: linear-gradient(135deg, var(--bs-teal-dark) 6.25%, var(--bs-teal) 6.25%, var(--bs-teal) 43.75%, var(--bs-teal-dark) 43.75%, var(--bs-teal-dark) 56.25%, var(--bs-teal) 56.25%, var(--bs-teal) 93.75%, var(--bs-teal-dark) 93.75%);
    background-size: 20px 20px;
    background-position: 10px 10px;
}

.art-Adapt:hover, .art-PleinDroit:hover, .art-Propre:hover, .art-Constit:hover, .art-HC:hover, .art-LO:hover, .art-DecretCE:hover, .art-Decret:hover, .art-ArreteMin:hover, .art-Ext:hover {
    color: var(--bs-white) !important;
}

/* ---------------- */
/* NIVEAUX DE TITRE */
/* ---------------- */

.niveau-liste-0 {
    margin-top: 0.5em !important;
    font-size: xx-large;
    font-weight: bold;
}

.niveau-liste-1 {
    margin-top: 0.5em !important;
    font-size: 80%;
}

.niveau-liste-2 {
    margin-top: 0.5em !important;
    font-size: 90%;
}

.niveau-liste-3 {
    margin-top: 0.5em !important;
    font-size: 90%;
}

.niveau-liste-4 {
    margin-top: 0.25em !important;
    font-weight: normal;
}

.niveau-liste-5 {
    margin-top: 0.25em !important;
    font-style: italic;
    font-size: 90%;
}

.niveau-liste-6 {
    margin-top: 0.25em !important;
    font-style: normal;
    font-weight: 300;
    font-size: 95%;
}

.niveau-liste-7 {
    font-style: italic;
    font-size: 95%;
}

.niveau-liste-8 {
    font-style: normal;
    font-size: 95%;
}

.items-liste-articles, .items-liste-articles-vide {
    margin: 0.2em 0 0 1em !important;
    font-size: medium;
    font-style: normal;
    font-weight: normal;
    overflow-wrap: break-word;
    line-height: 1.5em;
}

.items-liste-articles a:hover, .items-liste-articles-vide a:hover {
    text-decoration: none;
}

/* ------------- */
/* TEXTE MODIFIÉ */
/* ------------- */

ins {
    text-decoration: none;
    display: inline-block;
    padding: 0 .3em;
    background: rgba(144, 195, 138, .8);
    height: auto;
    border-radius: .3em;
    display: inline;
    -webkit-box-decoration-break: clone;
    -o-box-decoration-break: clone;
    box-decoration-break: clone;
    margin-left: .07em;
    margin-right: .07em;
}

del {
    text-decoration: none;
    display: inline-block;
    padding: 0 .3em;
    background: rgba(242, 125, 124, .6);
    cursor: help;
    position: relative;
    top: .175em;
    height: 1em;
    width: 1em;
    line-height: 1.35;
    overflow: hidden;
    color: transparent;
    margin: -.4em .07em -.05em .07em;
    padding: 0 0 .1em 0;
    -webkit-box-decoration-break: clone;
    -o-box-decoration-break: clone;
    box-decoration-break: clone;
    border-radius: .5em;
    transition: padding-left ease .5s, padding-right ease .5s, color ease .15s;
    user-select: none;
}

del:active {
    width: auto;
    color: #962e22;
    display: inline;
    padding: 0 .35em 0em 0.35em;
    line-height: unset;
    position: unset;
    top: unset;
    height: unset;
    transition: padding-left ease .3s, padding-right ease .3s, color ease .7s;
}

.table_ins {
    background-color: rgb(199 235 194 / 80%);
    border-color: var(--bs-green);
    border: solid var(--bs-green) 3px;
}

.impr {
    display: none;
}

.nota {
    padding: .2em .5em;
    background: rgba(163, 202, 245, .7);
    border-radius: .5em;
    display: block;
    text-indent: 0em !important;
}

.nota:before {
    content: "Nota :";
    text-decoration: underline;
    font-weight: bold;
    font-style: initial;
    margin-right: 0.5em;
}

.nota:after {
    content: attr(reference);
    font-weight: 500;
    font-style: initial;
    margin-left: 0.5em;
}

.niveau-liste > p.replie, .niveau-liste > ul.replie, .niveau-liste > div.replie {
    display: none;
}

.niveau-liste > p:not(.replie), .niveau-liste > ul:not(.replie), .niveau-liste > div:not(.replie) {
    display: block;
}

.impression_uniquement {
    display: none;
}

.modal-body table, .cadreArticle table, .contenuArticle table {
    margin: 0.35em auto 0 auto;
    font-weight: lighter !important;
    text-align: center !important;
    border: solid var(--bs-body-color) 1px;
    max-width: 80% !important;
    table-layout: fixed;
    font-size: 1rem;
}

.modal-body th, .cadreArticle th, .contenuArticle th {
    padding: 0 1em 0 1em;
    background-color: rgb(100 100 100 / 33%);
    font-size: 1.05rem;
    border: solid var(--bs-body-color) 1px;
    width: auto !important;
}

.modal-body td, .cadreArticle td, .contenuArticle td {
    padding: 0 0.25em 0 0.25em;
    border: solid var(--bs-body-color) 1px;
    width: auto !important;
}

.modal-body table br, .cadreArticle table br {
    display: none;
}

.adapt-Code {
    background-color: var(--bs-purple);
}

.adapt-Etendu {
    background-color: var(--bs-yellow);
    color: var(--bs-dark);
}

.adapt-Ext {
    background-color: var(--bs-teal);
}

.adapt-Ecriture {
    background-color: var(--bs-indigo);
}

.adapts {
    margin-bottom: 0.8em;
    line-height: 1em;
    white-space: pre-wrap;
}

#planCode {
    font-size: 0.85rem;
}

.cadreRedac, .cadreAdapts, .cadreOutils, #cadreRefers {
    margin-top: 3rem;
    color: var(--bs-gray-600);
}

#infoRedac p, #infoAdapts p {
    margin-bottom: 0.25rem;
}

.artModal {
    color: inherit;
    text-decoration: none;
}

.TitreModal-Code {
    background-color: var(--bs-purple);
    color: var(--bs-white);
}

.TitreModal-Etendu {
    background-color: var(--bs-yellow);
    color: var(--bs-dark);
}

.TitreModal-Ext {
    background-color: var(--bs-teal);
    color: var(--bs-white);
}


/* SPINNER */

.spinner {
    width: 200px;
    height: 200px;
    display: inline-block;
    overflow: visible;
    z-index: 20;
}

.ArtSection {
    text-decoration: none;
}

.ArtSection:hover {
    text-decoration-line: underline;
    text-decoration-color: var(--bs-red);
    text-decoration-thickness: 0.1em !important;
}

.ArtSection:hover > i {
    color: var(--bs-red);
}

.text-muted > br, .text-muted > div > br {
    display: none;
}

a.bg-info:hover {
    color: #7dafe7;
}

.cachePage {
    display: none;
    z-index: 15;
    background-color: var(--bs-body-bg);
    width: 100%;
    height: 100%;
    position: absolute;
}

.fa-solid fa-file-import {
    font-size: smaller;
}

#toolBox {
    border: 1px solid var(--bs-gray);
    padding: 0.5em;
    border-radius: 0.2rem;
}

.toolButtons {
    margin-top: 0.5em;
    width: 100%;
}

#typeArticle {
    visibility: hidden;
}

.timeline p {
    margin-bottom: 0.2em;
}

.timeline li {
    font-size: small;
}

.timeline a:link {
    text-decoration: none;
}

.timeline a:hover {
    text-decoration: underline;
    text-decoration-color: var(--bs-red);
}

.flag {
    font-size: large;
    font-weight: bold;
}

.MortNe {
    font-style: italic;
    text-decoration-style: double;
    text-decoration-line: line-through;
}

.drapeauPF {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_polynesie.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauWF {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_wallis.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauTAAF {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_taaf.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauNC {
    background-size: cover;
    background-position: center;
    background-image: url(/img/carte_caledonie.svg);
    width: 32px;
    height: 23px;
    display: inline-block;
    border-radius: 0px;
    margin-left: 0.8em;
}

.drapeauSPM {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_st_pm.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauStB {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_st_bart.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauStM {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_st_martin.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauGua {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_guadeloupe.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauMtq {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_martinique.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauGuy {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_guyane.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauRe {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_reunion.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauMyt {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_mayotte.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.drapeauFR {
    background-size: cover;
    background-position: center;
    background-image: url(/img/drapeau_national.svg);
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 10px;
    margin-left: 0.8em;
}

.hexagone {
    background-size: cover;
    background-position: center;
    background-image: url(/img/hexagone.svg);
    width: 25px;
    height: 24px;
    display: inline-block;
    border-radius: 0px;
    margin-left: 0.8em;
}

#ModalArticleDate {
    overflow-y: initial;
    text-align: center;
    padding: 0 1rem 0 1rem;
    font-size: smaller;
    background-color: var(--bs-gray-300);
    min-height: 1.5rem;
}

#ModalArticleRefs {
    overflow-y: initial;
    padding: 0 1rem 0 1rem;
    font-size: smaller;
}

#ModalArticleRefs a:link {
    text-decoration: none;
}

#ModalArticleRefs a:hover {
    text-decoration: underline;
    text-decoration-color: var(--bs-red);
}

.tooltip-del .tooltip-inner {
    background-color: #ce5c5b !important;
    color: var(--bs-white) !important;
}

.tooltip-ins .tooltip-inner {
    background-color: #46883f !important;
    color: var(--bs-white) !important;
}

.tooltip-ins.bs-tooltip-top .tooltip-arrow::before, .tooltip-ins.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before {
    border-top-color: #46883f !important;
}

.tooltip-ins.bs-tooltip-bottom .tooltip-arrow::before, .tooltip-ins.bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before {
    border-bottom-color: #46883f !important;
}

.tooltip-ins.bs-tooltip-end .tooltip-arrow::before, .tooltip-ins.bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before {
    border-right-color: #46883f !important;
}

.tooltip-ins.bs-tooltip-start .tooltip-arrow::before, .tooltip-ins.bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow::before {
    border-left-color: #46883f !important;
}

.tooltip-del.bs-tooltip-top .tooltip-arrow::before, .tooltip-del.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before {
    border-top-color: #ce5c5b !important;
}

.tooltip-del.bs-tooltip-bottom .tooltip-arrow::before, .tooltip-del.bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before {
    border-bottom-color: #ce5c5b !important;
}

.tooltip-del.bs-tooltip-end .tooltip-arrow::before, .tooltip-del.bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before {
    border-right-color: #ce5c5b !important;
}

.tooltip-del.bs-tooltip-start .tooltip-arrow::before, .tooltip-del.bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow::before {
    border-left-color: #ce5c5b !important;
}

.fa-solid .fa-up-right-from-square {
    color: var(--bs-red) !important;
}

.popLegifrance {
    color: var(--bs-body-color) !important;
    text-decoration: underline;
    text-decoration-color: var(--bs-blue);
}

.QR_code {
    display: none;
}

.QR_code > canvas {
    height: 80px;
}

.badge {
    text-decoration: none;
}

.toast {
    color: black;
    background-color: white;
}

.toast_texte {
    background-color: white;
}

.toast_erreur {
    background-color: #e48e8e;
}

.toast_succes {
    background-color: #83d07d;
}

.toast_info {
    background-color: #8595fe;
}

.toast_warning {
    background-color: #ffedb4;
}

::-webkit-scrollbar {
    width: 16px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 4px solid transparent;
    background-clip: content-box;
    min-height: 40px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #a8bbbf;
}

footer {
    z-index: 2000;
}

.clignotement {
    animation: clignotement 1.5s infinite;
}

@keyframes clignotement {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.video-responsive {
    overflow: hidden;
    padding-bottom: 56.25%;
    position: relative;
    height: 0;
}

.video-responsive iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

.dropdown-item {
    font-size: smaller;
}

.dropdown-menu-dark .dropdown-item:active {
    background-color: var(--bs-dark);
}

.introjs-skipbutton {
    text-decoration: none !important;
}

.listeCodesRouge, .listeCodesRouge:hover {
    color: var(--bs-danger) !important;
    font-style: italic !important;
}

.listeCodesRouge:active {
    background-color: var(--bs-danger) !important;
    color: white !important;
}

footer .badge-articles {
    font-size: x-small;
}

#notaLegi {
    text-align: justify;
    font-size: small;
    font-weight: 100;
    color: var(--bs-blue-dark);
    font-style: italic;
    padding: 0 2rem;
}

.dropdown-menu li {
    position: relative;
}

.dropdown-menu .dropdown-submenu {
    display: none;
    position: absolute;
    left: 100%;
    top: -7px;
}

.dropdown-menu .dropdown-submenu-left {
    right: 100%;
    left: auto;
}

.dropdown-menu > li:hover > .dropdown-submenu {
    display: block;
}

.alert-danger, .alert-success, .alert-primary, .alert-dark, .alert-info, .alert-warning, .alert-secondary {
    border-left: 6px solid;
}

.fa-ellipsis-vertical {
    margin-left: 0.4rem;
    margin-right: 0.4rem;
}

.changeColl {
    cursor: pointer;
}

.notion_h3, .notion_h4, .notion_h5 {
    margin-top: 0.5rem !important;
}

.notion_img {
    margin-bottom: 1rem;
}

.notion_liste {
    display: list-item;
    margin-left: 2rem;
}

.notion_red {
    color: var(--bs-red);
}

.notion_red_background {
    background-color: var(--bs-red) !important;
    color: white;
}

.notion_gray {
    color: var(--bs-gray);
}

.notion_gray_background {
    background-color: var(--bs-gray) !important;
    color: white;
}

.notion_brown {
    color: var(--bs-brown);
}

.notion_brown_background {
    background-color: var(--bs-brown) !important;
    color: white;
}

.notion_orange {
    color: var(--bs-orange);
}

.notion_orange_background {
    background-color: var(--bs-orange) !important;
    color: black;
}

.notion_yellow {
    color: var(--bs-yellow);
}

.notion_yellow_background {
    background-color: var(--bs-yellow) !important;
    color: black;
}

.notion_blue {
    color: var(--bs-blue);
}

.notion_blue_background {
    background-color: var(--bs-blue) !important;
    color: white;
}

.notion_purple {
    color: var(--bs-purple);
}

.notion_purple_background {
    background-color: var(--bs-purple) !important;
    color: white;
}

.notion_pink {
    color: var(--bs-pink);
}

.notion_pink_background {
    background-color: var(--bs-pink) !important;
    color: black;
}

.notion_green {
    color: var(--bs-green);
}

.notion_green_background {
    background-color: var(--bs-green) !important;
    color: white;
}

.alert-notion {
    color: black;
    background-color: #e0e0e0;
    border-color: #000000;
    border-width: 4px;
    border-radius: 12px;
}

.NotionMotsClefs > .badge {
    margin-right: 0.25rem;
}

.notion_code {
    font-family: "SFMono-Regular", Menlo, Consolas, "PT Mono", "Liberation Mono", Courier, monospace;
    line-height: normal;
    background: #272727;
    color: #FFF;
    border-radius: 3px;
    font-size: 85%;
    padding: 0.2em 0.4em;
}

.alert-code-notion {
    font-family: "SFMono-Regular", Menlo, Consolas, "PT Mono", "Liberation Mono", Courier, monospace;
    line-height: normal;
    color: #FFF;
    background-color: #272727;
    font-size: 85%;
    border-color: #000000;
    border-width: 4px;
    border-radius: 12px;
}

.notion_hr {
    height: 3px !important;
    width: 100%;
}

.dropdown-menu {
    max-height: 600px;
    overflow-y: auto;
    overflow-x: hidden;
}

.badge-article-teal {
    background-color: var(--bs-teal);
    color: var(--bs-white);
}

.badge-article-orange {
    background-color: var(--bs-orange);
    color: var(--bs-white);
}

.badge-article-purple {
    background-color: var(--bs-purple);
    color: var(--bs-white);
}

.badge-article-purple-dark {
    background-color: var(--bs-purple-dark);
    color: var(--bs-white);
}

.badge-article-gray {
    background-color: var(--bs-gray);
    color: var(--bs-white);
}

.badge-article-red {
    background-color: var(--bs-red);
    color: var(--bs-white);
}

.badge-article-orange-dark {
    background-color: var(--bs-orange-dark);
    color: var(--bs-white);
}

.badge-article-pink {
    background-color: var(--bs-pink);
    color: var(--bs-white);
}

.badge-article-indigo {
    background-color: var(--bs-indigo);
    color: var(--bs-white);
}

.badge-article-gray-light {
    background-color: var(--bs-gray-300);
    color: var(--bs-gray);
}

.badge-article-yellow {
    background-color: #ffc83d;
    color: var(--bs-gray-100);
}